Disable DDoS protection for a specific VPS

Turn off DDoS protection (scrubbing) for a specific virtual server (VPS). This can be useful if you need to troubleshoot network issues or if the protection is causing unwanted interference with your service.

VPS & Cloud VM

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.active boolean required · Example: false
data.ip string required · Example: 192.0.0.1
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

DELETE https://cloud.hostup.se/api/vm/{vmid}/ddos-scrubbing
For AI assistants
cURL
curl -X DELETE "https://cloud.hostup.se/api/vm/10000/ddos-scrubbing" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "ip": "192.0.0.1",
    "active": false
  }
}